# Method: projects.location.prometheus.api.v1.query_exemplars

- [HTTP request](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1/query_exemplars#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1/query_exemplars#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1/query_exemplars#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1/query_exemplars#body.request_body)
- [Response body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1/query_exemplars#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1/query_exemplars#body.aspect)
- [Try it!](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/projects.location.prometheus.api.v1/query_exemplars#try-it)

Lists exemplars relevant to a given PromQL query,

### HTTP request

`GET https://monitoring.googleapis.com/v1/{name}/location/{location}/prometheus/api/v1/query_exemplars`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The project on which to execute the request. Data associcated with the project's workspace stored under the The format is: projects/\[PROJECT_ID_OR_NUMBER\]. Open source API but used as a request path prefix to distinguish different virtual Prometheus instances of Google Prometheus Engine. |
| `location` | `string` Location of the resource information. Has to be "global" now. |

### Query parameters

| Parameters ||
|---|---|
| `query` | `string` A PromQL query string. Query language documentation: <https://prometheus.io/docs/prometheus/latest/querying/basics/>. |
| `start` | `string` The start time to evaluate the query for. Either floating point UNIX seconds or RFC3339 formatted timestamp. |
| `end` | `string` The end time to evaluate the query for. Either floating point UNIX seconds or RFC3339 formatted timestamp. |

### Request body

The request body must be empty.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/monitoring`
- `
  https://www.googleapis.com/auth/monitoring.read`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).